EmbodiFlow文档
开始使用数据工作流与算法训练与部署开发者参考
  • 开发者参考

认证

  • 认证概览
  • API 密钥
  • 个人访问令牌
  • 浏览器会话

REST API

  • 使用 REST API
  • 全部端点
  • 项目
    • 录制
      • 上传
        • 任务片段与版本
          • 标注
            • 质量与任务
              • 检索
                • 工作流
                  • 算法
                    • 模型
                      • 产物与导出
                        • 计费与用量
                          • 团队与治理
                            • 账号与通知
                              • Webhook 端点
                                • GET
                                  List webhook endpoints for a project
                                • POST
                                  Create a webhook endpoint
                                • DELETE
                                  Delete a webhook endpoint
                                • GET
                                  Get a webhook endpoint
                                • PATCH
                                  Update a webhook endpoint
                                • GET
                                  List deliveries for a webhook endpoint
                                • GET
                                  Get a delivery
                                • POST
                                  Create a replay
                                • POST
                                  Create a ping
                                • POST
                                  Create a secret rotation
                                • GET
                                  List webhook endpoints
                                • POST
                                  Create a webhook endpoint
                                • DELETE
                                  Delete a webhook endpoint
                                • GET
                                  Get a webhook endpoint
                                • PATCH
                                  Update a webhook endpoint
                                • GET
                                  List deliveries for a webhook endpoint
                                • GET
                                  Get a delivery
                                • POST
                                  Create a replay
                                • POST
                                  Create a ping
                                • POST
                                  Create a secret rotation

                              事件

                              • 出站事件
                              • 签名校验

                              工具

                              • 命令行
                              • SDK
                              • MCP

                              更新

                              • 更新日志

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. 开发者参考
                              2. REST API
                              3. Webhook 端点
                              4. Update a webhook endpoint

                              Update a webhook endpoint

                              PATCH
                              /v1/projects/{projectId}/webhook-endpoints/{endpointId}
                              curl -X PATCH 'https://api.embodiflow.io/v1/projects/{projectId}/webhook-endpoints/{endpointId}' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT' \
                                -H 'Content-Type: application/json' \
                                -d '{
                                  "url": "string",
                                  "description": "string",
                                  "eventTypes": [
                                    "string"
                                  ],
                                  "status": "active"
                                }'

                              认证

                              每个请求都需要携带个人访问令牌(PAT)。

                              • Authorization: Bearer PAT
                              认证指南

                              路径参数

                              • projectIdstring必填
                              • endpointIdstring必填

                              请求头参数

                              • If-Matchstring

                                Optional precondition. A matching tag proceeds and returns the new ETag. A stale tag returns 412 PRECONDITION_FAILED with no write. Absent proceeds (opt-in this release). If-Match: * succeeds when the resource exists. Malformed values return 400 IF_MATCH_INVALID.

                              请求体

                              Content-Typeapplication/json
                              • urlstring
                              • descriptionstring | null
                              • eventTypesarray<string>
                              • statusstring
                                可选值
                                active
                                disabled

                              响应

                              Success

                              • dataobject必填
                                • idstring必填
                                • tenantIdstring必填
                                • projectIdstring | null必填
                                • urlstring必填
                                • descriptionstring | null必填
                                • eventTypesarray<string>必填
                                • statusstring必填
                                  可选值
                                  active
                                  disabled
                                  disabled_by_platform
                                • secretVersionnumber必填
                                • previousSecretExpiresAtstring | null必填
                                • consecutiveFailureCountnumber必填
                                • lastFailureAtstring | null必填
                                • lastSuccessAtstring | null必填
                                • disabledAtstring | null必填
                                • createdAtstring必填
                                • updatedAtstring必填
                              • metaobject必填
                                • requestIdstring必填
                              响应示例
                              {
                                "data": {
                                  "id": "string",
                                  "tenantId": "string",
                                  "projectId": "string",
                                  "url": "string",
                                  "description": "string",
                                  "eventTypes": "recording.processed",
                                  "status": "active",
                                  "secretVersion": 0,
                                  "previousSecretExpiresAt": "string",
                                  "consecutiveFailureCount": 0,
                                  "lastFailureAt": "string",
                                  "lastSuccessAt": "string",
                                  "disabledAt": "string",
                                  "createdAt": "string",
                                  "updatedAt": "string"
                                },
                                "meta": {
                                  "requestId": "string"
                                }
                              }
                              服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              上一页

                              GET /projects/{projectId}/webhook-endpoints/{endpointId}

                              下一页

                              GET /projects/{projectId}/webhook-endpoints/{endpointId}/deliveries

                              curl -X PATCH 'https://api.embodiflow.io/v1/projects/{projectId}/webhook-endpoints/{endpointId}' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT' \
                                -H 'Content-Type: application/json' \
                                -d '{
                                  "url": "string",
                                  "description": "string",
                                  "eventTypes": [
                                    "string"
                                  ],
                                  "status": "active"
                                }'
                              响应示例
                              状态码
                              200
                              ​
                              {
                                "data": {
                                  "id": "string",
                                  "tenantId": "string",
                                  "projectId": "string",
                                  "url": "string",
                                  "description": "string",
                                  "eventTypes": "recording.processed",
                                  "status": "active",
                                  "secretVersion": 0,
                                  "previousSecretExpiresAt": "string",
                                  "consecutiveFailureCount": 0,
                                  "lastFailureAt": "string",
                                  "lastSuccessAt": "string",
                                  "disabledAt": "string",
                                  "createdAt": "string",
                                  "updatedAt": "string"
                                },
                                "meta": {
                                  "requestId": "string"
                                }
                              }